Bug 1119761 - python3 in EPEL
python3 in EPEL
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python3 (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Charalampos Stratakis
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-15 08:54 EDT by Ales Kozumplik
Modified: 2016-07-29 06:33 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-29 06:33:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Kozumplik 2014-07-15 08:54:47 EDT
To comply with http://fedoraproject.org/wiki/Changes/Python_3_as_Default DNF currently ships both py2 and py3 packages in Fedora. At the same time there are users who install DNF in RHEL7 via EPEL. We want these people to have comprehensive experience using the package manager so we plan to rebase it regularly. At the same we really would like to drop the dual Python support upstream as it has significant costs in terms of resources. We would like to move to Py3 exclusively in both Fedora and EPEL. Python3 EPEL package is the first step towards this.
Comment 1 Ales Kozumplik 2014-07-15 08:58:18 EDT
moving to fedora/rawhide/python3.
Comment 2 Bohuslav "Slavek" Kabrda 2014-07-15 11:20:00 EDT
Hi Ales,
I see your need to introduce python3 to EPEL 7. However as it is right now, neither I nor anyone from my team have the capacity to maintain python3 in EPEL. If at all possible, I'd suggest using an SCL (e.g. [1]) and building dnf SCL on top of it. I'd also like to note that python3 in EPEL is also problematic from the point of view of updating - as written in EPEL guidelines [2], major updates should be avoided. I consider updates from Python 3.X to Python 3.X+1 because there can be ABI changes and bytecode needs to be rebuilt for new Python version. I'm afraid that if we introduced python3 package to EPEL, we'd be stuck with it forever, unable to update - and the maintenance cost would get higher and higher over time.
I'm not saying no to this, I'm just saying that I don't have the resources to do this. I'm leaving this bug open until we find a viable solution.


[1] https://www.softwarecollections.org/en/scls/rhscl/python33/
[2] https://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#A_major_version_update
Comment 3 Toshio Ernie Kuratomi 2014-07-15 11:54:22 EDT
For dnf in EPEL, reviewing this package could be a better option:

https://bugzilla.redhat.com/show_bug.cgi?id=1091657
Comment 4 Toshio Ernie Kuratomi 2014-07-15 11:55:02 EDT
I'd probably close this bug as a duplicate of that review request but Im not sure whether others agree.
Comment 6 Jaroslav Reznik 2015-03-03 11:08:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 7 Nick Coghlan 2015-04-23 09:28:42 EDT
I've been attempting to follow this from afar, so summarising here for the benefit of anyone else interested in the status of Python 3 support in EPEL.

Slavek posted an updated EPEL proposal at https://fedoraproject.org/wiki/User:Bkabrda/EPEL7_Python3

epel-devel thread from December: https://lists.fedoraproject.org/pipermail/epel-devel/2014-December/010548.html
Thread continued into January: https://lists.fedoraproject.org/pipermail/epel-devel/2015-January/010700.html

Idea was approved in principle in February: http://meetbot.fedoraproject.org/epel/2015-02-13/epel.2015-02-13-17.00.html

Orion Poplawski posted a slightly modified proposal at https://fedoraproject.org/wiki/User:Orion/EPEL7_Python3 to attempt to flesh out some of the final details of the user experience

Initial message was posted in February: https://lists.fedoraproject.org/pipermail/epel-devel/2015-February/010902.html
And continued into March: https://lists.fedoraproject.org/pipermail/epel-devel/2015-March/thread.html (multiple subthread due to the way MM2 handles threads that continue across the end of a month)

Slavek updated the original proposal accordingly.

Smooge posted an email vote thread in early March (https://lists.fedoraproject.org/pipermail/epel-devel/2015-March/010997.html), receiving +1 responses from himself, Eric Smith, Jim Perrin and Brian Stinson.

I'm not sure on where things stand after that point...
Comment 8 Matej Stuchlik 2015-04-23 09:45:27 EDT
We needed to get python3-pkgversion-macros into minimal buildroot, but rel-engs are of the opinion that the guidelines should pass throught FPC first. They've also had few other comments, see [0] and [1]. nirik offered to help me get it through FPC, so I'll need to do that now.

[0] https://fedorahosted.org/rel-eng/ticket/6147
[1] http://meetbot.fedoraproject.org/fedora-meeting-1/2015-04-13/releng.2015-04-13-15.33.log.html
Comment 9 Fedora Admin XMLRPC Client 2015-05-12 08:02:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2016-01-29 08:08:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2016-07-19 07:56:07 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Petr Viktorin 2016-07-29 06:19:16 EDT
Still valid.
Comment 13 Petr Viktorin 2016-07-29 06:33:34 EDT
Oops, my mistake!
There already is a Python 3 in EPEL. Closing.

https://admin.fedoraproject.org/pkgdb/package/rpms/python34/

Note You need to log in before you can comment on or make changes to this bug.